# 目录

* 团队开发规范
    * [前言](前言.md)

* 编码规范
    * [项目规范](项目规范.md)
    * [分支命名规范](分支命名规范.md)
    * [代码仓库规范](代码仓库规范.md)
    * [Git协作工作流](Git协作工作流.md)
    * [Git代码提交规范](Git代码提交规范.md)
    * [日志规范](日志规范.md)
    * [注释规范](注释规范.md)
    * [接口文档规范](接口文档规范.md)
    * [通讯报文结构设计规范](通讯报文结构设计.md)
    * [代码审阅](代码审阅.md)
    * [单元测试](单元测试.md)
    * [代码质量](代码质量.md)


* 安全规范
    * [信息安全](信息安全.md)


* 数据库规范
    * [MySQL使用规范](MySQL使用规范.md)

* 运维规范
    * [运维行为规范](行为规范.md)

* 补充文档
    * [持续集成](持续集成.md)
    * [架构基础原则定义](架构基础原则定义.md)
    * [文档编写](文档编写.md)


# 注意事项

- 本文档托管在 [Gogs 仓库](https://gogs.ywtinfo.com/guochengfeng/team-standard)。推荐使用 Chrome 浏览器访问。

- 如果 mermaid 无法正常渲染，可以安装 [Markdown Diagrams](https://chrome.google.com/webstore/detail/markdown-diagrams/pmoglnmodacnbbofbgcagndelmgaclel/related?hl=en-US) 插件。

