## 为什么要定义团队开发规范

正所谓无规矩不成方圆，作为一个开发团队亦是一样，也必须统一团队项目开发规范。

一般而言，每一个项目大多数的情况下都是由团队协同开发而完成的，倘若没有统一的项目开发规范，那就是一盘散沙，因为每个人都有自己的开发习惯，比如每个人编码的风格也截然不同，这样会造成极其多的负面问题，举个例子：多个成员在协同开发一个需求模块，即使分工十分合理、十分明确、十分清晰，在合并代码的时候就会觉得是一件头疼的事情，风格迥异，导致合并代码困难、代码的阅读性低下等问题，因而**统一团队项目开发规范是重要的也是必要的**。

团队项目开发规范是呈现团队软文化的一种重要的表现，更能突出规范约束的理念、项目的标准化程度，它是项目的思想，无形中引领团队达成共识。

## 团队开发规范可有什么好处

1. 统一规范可提升协作效率

2. 统一规范可提升交付质量

3. 统一规范有助于代码审阅

4. 统一规范可降低维护成本

5. 统一规可降低架构复杂度

6. 统一规范有利于开发者养成代码规范的习惯
